package com.fs.ad.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.ad.domain.BdReportData;

import java.util.List;

/**
 * 百度定向统计Mapper接口
 * 
 * @author fs
 * @date 2025-03-13
 */
public interface BdReportDataMapper extends BaseMapper<BdReportData>{
    /**
     * 查询百度定向统计
     * 
     * @param id 百度定向统计主键
     * @return 百度定向统计
     */
    BdReportData selectBdReportDataById(Long id);

    /**
     * 查询百度定向统计列表
     * 
     * @param bdReportData 百度定向统计
     * @return 百度定向统计集合
     */
    List<BdReportData> selectBdReportDataList(BdReportData bdReportData);

    /**
     * 新增百度定向统计
     * 
     * @param bdReportData 百度定向统计
     * @return 结果
     */
    int insertBdReportData(BdReportData bdReportData);

    /**
     * 修改百度定向统计
     * 
     * @param bdReportData 百度定向统计
     * @return 结果
     */
    int updateBdReportData(BdReportData bdReportData);

    /**
     * 删除百度定向统计
     * 
     * @param id 百度定向统计主键
     * @return 结果
     */
    int deleteBdReportDataById(Long id);

    /**
     * 批量删除百度定向统计
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteBdReportDataByIds(Long[] ids);
}
